#
# PowerShell Source Code
#
param(
  [Parameter(Mandatory = $true)]
  [string]$HostName,
  [Parameter(Mandatory = $true)]
  [string]$IntSrv,
  [Parameter(Mandatory = $true)]
  [string]$ExtSrv
)
Set-EcpVirtualDirectory "$HostName\ECP (Default Web Site)" -InternalUrl "https://$IntSrv/ecp" -ExternalUrl "https://$ExtSrv/ecp"
Set-WebServicesVirtualDirectory "$HostName\EWS (Default Web Site)" -InternalUrl "https://$IntSrv/EWS/Exchange.asmx" -ExternalUrl "https://$ExtSrv/EWS/Exchange.asmx"
Set-ActiveSyncVirtualDirectory "$HostName\Microsoft-Server-ActiveSync (Default Web Site)" -InternalUrl "https://$IntSrv/Microsoft-Server-ActiveSync" -ExternalUrl "https://$ExtSrv/Microsoft-Server-ActiveSync" 
Set-OabVirtualDirectory "$HostName\OAB (Default Web Site)" -InternalUrl "https://$IntSrv/OAB" -ExternalUrl "https://$ExtSrv/OAB"
Set-OwaVirtualDirectory "$HostName\OWA (Default Web Site)" -InternalUrl "https://$IntSrv/owa" -ExternalUrl "https://$ExtSrv/owa"
Set-PowerShellVirtualDirectory "$HostName\PowerShell (Default Web Site)" -InternalUrl "https://$IntSrv/PowerShell" -ExternalUrl "https://$ExtSrv/PowerShell"
# 2013, Sergey Bezpalov (http://blog.bezpalov.com)